Get Current Open orders

Query current active orders

Weight: 1

In regards to master API key. The request parameters of "side" and "accountId". If "accountId" is passed, it will only query the orders under the current account. If not passed, it will first query the main account, and if the results are less than 500, it will then query the sub-accounts.

Request Parameters


PARAMETERTYPEReq'dExample valuesDESCRIPTION
orderIdLONG1470930457684189696Order ID
symbolSTRINGBTCUSDCurrency pair. Return all if not specified.
sideSTRINGBUYSide
limitINTEGER20Default 500, Maximum 1000
timestampLONGY1714311403031Timestamp

Response Content


PARAMETERTYPEExample valuesDESCRIPTION
NoObject ArrayQuery result array
  • accountId
LONG1471090223379184384Account number
  • exchangeId
LONG301Exchange Number
  • symbol
STRINGBTCUSDTrading pair
  • symbolName
STRINGBTCUSDTrading pair name
  • clientOrderId
STRING123456An ID defined by the client for the order, it will be automatically generated if it is not sent in the request
  • orderId
LONG1470930457684189696System generated order ID
  • price
STRING (decimal)28000Price
  • origQty
STRING (decimal)0.01Quantity
  • executedQty
STRING (decimal)0Traded volume
  • cumulativeQuoteQty
STRING (decimal)0Cumulative volume
  • avgPrice
STRING (decimal)0Average traded price
  • status
ENUMNEWOrder status
  • timeInForce
ENUMGTCDuration of the order before expiring
  • type
ENUMLIMITOrder Type
  • side
ENUMBUYBUY or SELL
  • stopPrice
STRING (decimal)0.0Not used
  • icebergQty
STRING (decimal)0.0Not used
  • time
LONG1690084574839Order created timestamp
  • updateTime
LONG1690084574843Order last updated timestamp
  • isWorking
BOOLEANTRUENot used
  • reqAmount
STRING0Requested cash amount
  • stpMode
ENUMEXPIRE_MAKERSelf Trade Prevention Mode.
Enum: EXPIRE_TAKER, EXPIRE_MAKER
Default EXPIRE_TAKER if not specified.
Query Params
int64

System order Id

string

Instrument ID

int32

Default 500; Max 1000.

int64

recv Window

string

Side

int64
required
Defaults to 1707493971279

Millisecond timestamp

string
required
Defaults to 1455db573097b77c825a1276916582159ef445ffa7def7b3c9bb5d264b6dd760

Signature

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json